Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Modeling » Modeling (top-level project) » Anyone still use UML 1.4? Anyone have a UML 1.4 to UML 2.1 XMI file converter?
Anyone still use UML 1.4? Anyone have a UML 1.4 to UML 2.1 XMI file converter? [message #610998] Wed, 17 September 2008 00:09
Tom Morris is currently offline Tom MorrisFriend
Messages: 89
Registered: July 2009
Member
The ArgoEclipse UML plugins for Eclipse (based on ArgoUML) currently
have a fairly complete UML 1.4 implementation based on the NetBeans MDR
libraries and last summer began our implementation of UML 2.1 support
based on the Eclipse UML2 plugins.

As we plan the rest of our UML 2.x implementation we're trying to figure
out if there's any need to maintain support for UML 1.4 or 1.5. When we
implemented UML 1.4, we provided one-way migration of users UML 1.3
models to UML 1.4. The default choice for the UML 1.4 to UML 2.1
migration is the same behavior -- a one-way conversion.

I'm wondering, however, if there's any ongoing need to be able to write
UML 1.4 or 1.5 models. Anyone have a need for this?

I guess as long as I'm asking, I should see if anyone's got an open
source tool which will take a UML 1.4 XMI file and convert it to a UML
2.1 XMI file. Anyone have such an animal or know of one?

Tom
Previous Topic:aggregation relation & containmentfeature
Next Topic:Advice for Modeling Technologies at Eclipse STP
Goto Forum:
  


Current Time: Fri Nov 28 15:08:59 GMT 2014

Powered by FUDForum. Page generated in 0.07224 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software